`calcul.dist.cities` <-
function (clust, cities, dist=15, type="ask", lang="en", var.cities=c("x","y","city.name"), var.clust=c("x","y","residence"), urban.code="Urban", dist.func = "rdist.earth", miles=FALSE)
{
	require(fields)
	#Vrification langue
	if (lang=="fr") lg <- 2
	else lg <- 1
	#Vrifications
	if (!is.numeric(dist)) stop(c("dist must be a numeric number","dist doit tre un nombre numrique.")[lg])
	if (dist<=0) stop(c("dist must be positive.","dist doit tre positif")[lg])
	if (type!="ask" & type!="all") stop(c("type must be 'ask' or 'all'. See help.","ask doit tre 'ask' ou 'all'. Voir l'aide.")[lg])
	if (length(clust[[var.clust[3]]])==0) stop(c("residence must be specified in clust.","le milieu de rsidence doit tre spcifi dans clust.")[lg])
	if (dist.func!="rdist" & dist.func!="rdist.earth") stop(c("dist.func must be 'rdist' or 'rdist.earth'.","dist.func doit tre gal  'rdist' ou  'rdist.earth'.")[lg])
	if (dist.func=="rdist.earth" & !is.logical(miles)) stop(c("'miles' must be TRUE or FALSE.","'miles' doit tre TRUE or FALSE.")[lg])
	#Prparation du nouveau fichier
	result <- clust
	result$dist.city <- 0
	result$city.name<- "NA"
	result$urban.area <- "NA"
	#Slection des villes
	if (type=="all") {
		villes <- cities
	} else {
		liste_villes<-as.vector(cities[[var.cities[3]]])
		message(c("A window will open. Please select the cities for U parameter (use CTRL and SHIFT).","Une fentre va s'ouvrir. Veuillez slectionner les villes retnues pour le paramtre U (utilisez les touches CTRL et SHIFT).")[lg])
		selected <- select.list(liste_villes, multiple=TRUE, title=c("Cities for U parameter","Villes pour le paramtre U")[lg])
		villes <- cities[cities[[var.cities[3]]]==selected[1],]
		for (k in 2:length(selected)) {
			villes <- rbind (villes, cities[cities[[var.cities[3]]]==selected[k],])
		}
	}
	#Calcul des distances entre les clusters et les villes
	coord.cities <- data.frame(villes[[var.cities[1]]],villes[[var.cities[2]]])
	coord.clust <- data.frame(clust[[var.clust[1]]],clust[[var.clust[2]]])
	names(coord.cities) <- c("x","y")
	names(coord.clust) <- c("x","y")
	if (dist.func=="rdist.earth")
		distances <- rdist.earth(coord.clust,coord.cities, miles=miles)
	else
		distances <- rdist(coord.clust,coord.cities)
	#Transformation du nom de la ville en character
	villes[[var.cities[3]]] <- as.character (villes[[var.cities[3]]])
	#On attribue la ville correcte  chaque cluster
	for (i in 1:length(result$dist.city)) {
		distances.cluster <- distances[i,]
		result$dist.city[i] <- min(distances.cluster)
		result$city.name[i] <- villes[[var.cities[3]]][which.min(distances.cluster)]
		if(result$dist.city[i]<=dist & result[[var.clust[3]]][i]==urban.code)
			result$urban.area[i] <- "in urban area"
		else
			result$urban.area[i] <- "outside urban area"
	}
	#On transforme in.urb.aggl en facteur
	result$urban.area <- as.factor (result$urban.area)
	#On renvoit le rsultat final
	return(result)
}

