`make.boundary.dcw` <-
function (file, progression=TRUE, lang="en")
{
	#Vrification langue
	if (lang=="fr") lg <- 2
	else lg <- 1
	#Lecture du fichier
	boundary <- readLines(file)
	country <- boundary[1]
	boundary <- boundary[-1]
	
	#On calcule le nombre de polygones contenus dans le fichier
	temp <- boundary[regexpr(" ",boundary)!=1]
	temp <- temp[temp!="END"]
	nb.polygons <- length(temp)
	
	#On cr un data.frame avec les limites de l'ensemble des polygones
	nb <- 0
	type.point <- "limit"
	coord <- data.frame()
	for (i in 1:length(boundary)) {
		if (regexpr(" ",boundary[i])!=1 & boundary[i]!="END") {
			nb <- as.integer(boundary[i])
			type.point <- "center" #Les premires coordonnes de la liste sont celles du centrode
		} else if (boundary[i]!="END") {
			#Extraire les coordonnes et les mettre dans un dataframe.
			if (type.point=="limit") {
				point <- data.frame(as.numeric(substr(boundary[i],0,20)),as.numeric(substr(boundary[i],20,40)),nb)
				names(point) <- c("x","y","poly")
				coord <- rbind(coord, point)
			}
			type.point <- "limit"
			if (progression & i%%100==0) {message(i,c(" on "," sur ")[lg],length(boundary),c(" points analyzed."," points traits.")[lg])}
		}
	}
	#On affiche les diffrentes zones
	plot.new()
	plot.window(xlim=c(min(coord$x),max(coord$x)),ylim=c(min(coord$y),max(coord$y)),asp=1)
	title(main=country,xlab="longitude",ylab="latitude")
	col <- c("#E41A1C", "#377EB8", "#4DAF4A", "#984EA3", "#FF7F00", "#FFFF33", "#A65628", "#F781BF", "#999999")
	lab.legend <- c()
	col.legend <- c()
	counter <- 0
	counter2 <- 0
	id <- vector("integer",12)
	for (j in 1:nb.polygons) {
		poly <- coord[coord$poly==j,]
		#Si trop de polygones on n'affiche pas les petits polygones
		if(nb.polygons<10 || length(poly$x)>50)
			{
			counter <- counter+1
			polygon(poly$x, poly$y, col=col[counter%%9+1])
			lab.legend <- c(lab.legend,paste(c("Polygon ","Polygone ")[lg],counter))
			col.legend <- c(col.legend, col[counter%%9+1])
			id[counter] <- j
		} else {counter2 <- counter2 + 1}
	}
	#Informations sur le fichier
	message("\n-------------------------------------------------------\n")
	message(c("Maximum longitude observed in the file: ","Longitude maximale observe dans le fichier : ")[lg],max(poly$x))
	message(c("Minimum longitude observed in the file: ","Longitude minimale observe dans le fichier : ")[lg],min(poly$x))
	message(c("Maximum latitude observed in the file: ","Latitude maximale observe dans le fichier : ")[lg],max(poly$y))
	message(c("Minimum latitude observed in the file: ","Latitude minimale observe dans le fichier : ")[lg],min(poly$y))
	message("\n-------------------------------------------------------\n")
	#Extraction de la base finale
	if (nb.polygons==1) {
		message(c("This file contains only one polygon.","ce fichier ne contient qu'un seul polygone.")[lg])
		message(c("The limit of the country are presented in a new window.","Les limites du pays ont t affiches dans une nouvelle fentre.")[lg])
		k <- 1
	} else {
		legend("topleft", legend=lab.legend, fill=col.legend)
		message(c("This file contains ","Ce fichier contient ")[lg],nb.polygons,c(" polygons."," polygones.")[lg])
		message(c("A new window presents the polygons contained in the file and their number.","Une nouvelle fentre vous montre les diffrents polygones contenus dans le fichier et leur numro.")[lg])
		message(c("WARNING: some polygons are not visible (small island for example).","ATTENTION : certains polygones sont invisibles  l'oeil nu (petites les par exemple).")[lg])
		if(counter2>0) message(c("WARNING: ","ATTENTION : ")[lg],counter2,c(" small polygons have not been drawned (less than 50 points)."," petits polygones n'ont pas t dessins (moins de 50 points).")[lg])
		message(c("Please, select the main polygon which will be used as limits of the country.","Veuillez slection le polygone principal qui sera utilis comme limites du pays.")[lg])
		k <- menu(lab.legend)
	}
	final <- coord[coord$poly==id[k],]
	final <- final[-3]
}

