`make.cities.csv` <-
function (file, lang="en") {
	#Vrification langue
	if (lang=="fr") lg <- 2
	else lg <- 1
	#Lecture du fichier
	temp <- read.csv (file)
	temp.var <- attr(temp,"names")
	#Choix des variables
	message(c("A window will open presenting the data contained in the file. Thank you to identify the following variables (all needed): \n- Names of cities \n- Longitude (decimal format in degrees) \n- Latitude (decimal format in degrees) \n- Population count \n Once the names of these variables identified, close the window so that the program can continue. \n\n Are you ready?","Une fentre va s'ouvrir prsentant les donnes contenues dans le fichier. Merci de reprer les variables suivantes (toutes ncessaires) :\n- Nom des villes \n- Longitude (en degrs au format dcimal) \n- Latitude (en degrs au format dcimal) \n- Population (effectif) \n Une fois les noms de ces variables identifis, fermez la fentre pour que le programme puisse continuer. \n\n tes-vous prt ?")[lg])
	menu(c("Yes","Oui")[lg])
	edit(temp)
	ok <- 0
	while (ok!=1) {
		message("\n----------------------------------------------------\n")
		message(c("Please indicate the following variables:\n","Veuillez indiquer les variables suivantes :\n")[lg])
		message(c("\nNames of cities:","\nNom des villes :")[lg])
		city.name <- menu(temp.var)
		message(c("\nLongitude (decimal value):","\nLongitude (valeur dcimale) :")[lg])
		long <- menu(temp.var)
		message(c("\nLatitude (decimal value):","\nLatitude (valeur dcimale) :")[lg])
		lat <- menu(temp.var)
		message(c("\nPopulation of cities:","\nPopulation des villes :")[lg])
		pop <- menu(temp.var)
		#Affichage des donnes entres
		message("\n----------------------------------------------------\n")
		message(c("CAUTION: please check the following informations:\n","ATTENTION : veuillez vrifier les informations suivantes :\n")[lg])
		message(c("* Names of city:","* Nom des villes :")[lg])
		message(temp.var[city.name],if(city.name==0) c("Not available - WARNING: this variable must be specified!!","Non renseigne - ATTENTION : cette variable doit tre renseigne !!")[lg])
		message(c("* Longitude (decimal value):","* Longitude (valeur dcimale) :")[lg])
		message(temp.var[long],if(long==0) c("Not available - WARNING: this variable must be specified!!","Non renseigne - ATTENTION : cette variable doit tre renseigne !!")[lg])
		message(c("* Latitude (decimal value):","* Latitude (valeur dcimale) :")[lg])
		message(temp.var[lat],if(lat==0) c("Not available - WARNING: this variable must be specified!!","Non renseigne - ATTENTION : cette variable doit tre renseigne !!")[lg])
		message(c("* Population of cities:","* Population of cities :")[lg])
		message(temp.var[pop],if(pop==0) c("Not available - WARNING: this variable must be specified!!","Non renseigne - ATTENTION : cette variable doit tre renseigne !!")[lg])
		message("\n----------------------------------------------------\n")
		#Vrification des donnes entres
		alarm()
		if (city.name==0) message(c("WARNING: Names of city must be specified!!","ATTENTION : le nom des villes doit tre spcifi !!")[lg])
		if (long==0) message(c("WARNING: Longitude must be specified!!","ATTENTION : la longitude doit tre spcifie !!")[lg])
		if (lat==0) message(c("WARNING: Latitude number must be specified!!","ATTENTION : la latitude doit tre spcifie !!")[lg])
		if (pop==0) message(c("WARNING: Population of city must be specified!!","ATTENTION : la population des villes doit tre spcifie !!")[lg])
		if (city.name==0 | long==0 | lat==0 | pop==0) {
			message("\n----------------------------------------------------\n")
			message(c("WARNING: some problem was found (see above). You have to start again. Are you ready?","ATTENTION : un problme a t dtect (voir ci-dessus). Vous devez recommencer. tes-vous prt ?")[lg])
			menu(c("Yes","Oui")[lg])
			}
		else
			{
			message(c("Are these data correct?","Ces donnes sont-elles correctes ?")[lg])
			ok <- menu(c(c("Yes","Oui")[lg],c("No","Non")[lg]))
			}
	}
	#Cration de la base
	villes <- data.frame(temp[city.name],temp[long],temp[lat],temp[pop])
	names(villes)[1] <- "city.name"
	names(villes)[2] <- "x"
	names(villes)[3] <- "y"
	names(villes)[4] <- "population"
	#Tri dcroissant selon la taille de la ville
	villes <- villes[order(villes$population, decreasing = TRUE),]
	return(villes)
}

