`make.clust.dbf` <-
function (file, ind, lang="en")
{
	#Vrification langue
	if (lang=="fr") lg <- 2
	else lg <- 1
	#Vrification des variables de ind
	if (!is.integer(ind$cluster)) ind$cluster <- as.integer(as.character(ind$cluster))
	if (!is.numeric(ind$weight)) ind$weight <- as.numeric(as.character(ind$weight))
	if (levels(ind$result)[1]!="Negative" | levels(ind$result)[2]!="Positive")
		stop(c("Result variable from ind is not correctly formatted. It must be a factor format, with levels 'Negative' and 'Positive'.","La colonne result de ind n'est pas renseigne correctement. Cela doit tre au format factor, avec pour levels les valeurs 'Negative' et 'Positive'")[lg])
	ind$statut <- NA
	ind$statut[ind$result=="Negative"] <- 1
	ind$statut[ind$result=="Positive"] <- 2
	#Lecture du fichier de donnes et du nom des variables
	require(foreign)
	temp.clust <- read.dbf(file)
	temp.var <- attr(temp.clust,"names")
	#Identification de chaque variable
	message(c("A window will open presenting the data contained in the file. Thank you to identify the following variables: \n- Cluster number (needed) \n- Longitude (decimal format in degrees, needed) \n- Latitude (decimal format in degrees, needed) \n- Place of residence (urban/rural, needed for U parameter) \n- Code number of DHSregions (optional) \n- Name of regions (optional) \n Once the names of these variables identified, close the window so that the program can continue. \n\n Are you ready?","Une fentre va s'ouvrir prsentant les donnes contenues dans le fichier. Merci de reprer les variables suivantes :\n- Numro du cluster (ncessaire) \n- Longitude (en degrs au format dcimal, ncessaire) \n- Latitude (en degrs au format dcimal, ncessaire) \n- Milieu de rsidence (urbain/rural, ncessaire si utilisation du paramtre U) \n- Code numrique des rgions (optionnel) \n- Nom des rgions (optionnel) \n Une fois les noms de ces variables identifis, fermez la fentre pour que le programme puisse continuer. \n\n tes-vous prt ?")[lg])
	menu(c("Yes","Oui")[lg])
	edit(temp.clust)
	ok <- 0
	while (ok!=1) {
		message("\n----------------------------------------------------\n")
		message(c("Please indicate the following variables:\n","Veuillez indiquer les variables suivantes :\n")[lg])
		message(c("\nCluster number:","\nNumro des clusters :")[lg])
		nb.clust <- menu(temp.var)
		message(c("\nLongitude (decimal value):","\nLongitude (valeur dcimale) :")[lg])
		long <- menu(temp.var)
		message(c("\nLatitude (decimal value):","\nLatitude (valeur dcimale) :")[lg])
		lat <- menu(temp.var)
		message(c("\nType of residence:","\nMilieu de rsidence :")[lg])
		residence <- menu(temp.var)
		message(c("\nCode number of regions (0 if doesn't exist):","\nCode numrique des rgions (0 si non renseign) :")[lg])
		region <- menu(temp.var)
		message(c("\nRegion names (0 if doesn't exist):","\nNom des rgions (0 si non renseign) :")[lg])
		region.name <- menu(temp.var)
		#Affichage des donnes entres
		message("\n----------------------------------------------------\n")
		message(c("CAUTION: please check the following informations:\n","ATTENTION : veuillez vrifier les informations suivantes :\n")[lg])
		message(c("* Cluster number:","* Numro de cluster :")[lg])
		message(temp.var[nb.clust],if(nb.clust==0) c("Not available - WARNING: this variable must be specified!!","Non renseigne - ATTENTION : cette variable doit tre renseigne !!")[lg])
		message(c("* Longitude (decimal value):","* Longitude (valeur dcimale) :")[lg])
		message(temp.var[long],if(long==0) c("Not available - WARNING: this variable must be specified!!","Non renseigne - ATTENTION : cette variable doit tre renseigne !!")[lg])
		message(c("* Latitude (decimal value):","* Latitude (valeur dcimale) :")[lg])
		message(temp.var[lat],if(lat==0) c("Not available - WARNING: this variable must be specified!!","Non renseigne - ATTENTION : cette variable doit tre renseigne !!")[lg])
		message(c("* Type of residence:","* Milieu de rsidence :")[lg])
		message(temp.var[residence],if(residence==0) c("Not available - WARNING: needed to use U parameter","Non renseigne - ATTENTION : cette variable est ncessaire pour pouvoir utiliser le paramtre U")[lg])
		message(c("* Code number of regions:","* Code numrique des rgions :")[lg])
		message(temp.var[region],if(region==0) c("Not available","Non renseigne")[lg])
		message(c("* Region names:","* Nom des rgions :")[lg])
		message(temp.var[region.name],if(region.name==0) c("Not available","Non renseigne")[lg])
		message("\n----------------------------------------------------\n")
		#Vrification des donnes entres
		alarm()
		if (nb.clust==0) message(c("WARNING: Cluster number must be specified!!","ATTENTION : le numro des clusters doit tre spcifi !!")[lg])
		if (long==0) message(c("WARNING: Longitude must be specified!!","ATTENTION : la longitude doit tre spcifie !!")[lg])
		if (lat==0) message(c("WARNING: Latitude number must be specified!!","ATTENTION : la latitude doit tre spcifie !!")[lg])
		if (residence==0) message(c("WARNING: if type of residence is not specified, you will be not able to use U parameter!!","ATTENTION : si le milieu de rsidence n'est pas prcis, vous ne pourrez utiliser le paramtre U !!")[lg])
		if (nb.clust==0 | long==0 | lat==0) {
			message("\n----------------------------------------------------\n")
			message(c("WARNING: some problem was found (see above). You have to start again. Are you ready?","ATTENTION : un problme a t dtect (voir ci-dessus). Vous devez recommencer. tes-vous prt ?")[lg])
			menu(c("Yes","Oui")[lg])
			}
		else
			{
			message(c("Are these data correct?","Ces donnes sont-elles correctes ?")[lg])
			ok <- menu(c(c("Yes","Oui")[lg],c("No","Non")[lg]))
			}
	}
	#Cration de la base
	clust <- data.frame(temp.clust[nb.clust],temp.clust[long],temp.clust[lat],temp.clust[residence],temp.clust[region],temp.clust[region.name])
	#Renommage des variables
	i <- 1
	if (nb.clust!=0)
		{
		names(clust)[i] <- "cluster"
		i <- i+1
		}
	if (long!=0)
		{
		names(clust)[i] <- "x"
		i <- i+1
		}
	if (lat!=0)
		{
		names(clust)[i] <- "y"
		i <- i+1
		}
	if (residence!=0)
		{
		names(clust)[i] <- "residence"
		i <- i+1
		}
	if (region!=0)
		{
		names(clust)[i] <- "region"
		i <- i+1
		}
	if (region.name!=0)
		{
		names(clust)[i] <- "region.name"
		i <- i+1
		}
	#Restriction selon l'age ou le sexe
	info <- ""
	if (!is.null(ind$sex))
		{
		message("\n----------------------------------------------------\n")
		message(c("The sex variable was detected in the ind file.\nThis variable has the following modalities:","La variable sexe a t dtecte dans le fichier ind.\nVoici ses modalits :")[lg])
		modalites <- attr(ind$sex,'levels')
		message("- ",paste(modalites,collapse="\n- "),"\n")
		message(c("Do you want to restrict this analyse at one or several of this modalities ?","Voulez-vous restreindre l'analyse  l'une ou plusieurs de ces modalits ?")[lg])
		choix <- menu(c(c("Yes","Oui")[lg],c("No","Non")[lg]))
		if (choix==1)
			{
			message(c("A window will open. Select the modalities you want to keep (use CTRL to select several modalities).","Une fentre va s'ouvrir. Slectionnez la ou les modalits  retenir (utilisez la touche CTRL pour un choix multiple).")[lg])
			mod <- select.list(modalites, multiple=TRUE, title=c("Select modalities to keep.","Slectionnez les modalits  conserver.")[lg])
			ind$weight2 <- ind$weight
			ind$weight <- 0
			for (i in 1:length(mod)) ind$weight[ind$sex==mod[i]] <- ind$weight2[ind$sex==mod[i]]
			info <- paste(info, c("The analyse was restricted with the folowing modalities:\n- ","L'analyse a t restreinte aux modalits suivantes :\n- ")[lg], paste(mod,collapse="\n- "),"\n")
			}
		}
	if (!is.null(ind$age)) 
		{
		message("\n----------------------------------------------------\n")
		message(c("The age variable was detected in the file.\nHere its characteristics:","La variable ge a t dtecte dans le fichier ind.\nVoici ses caractristiques :")[lg])
		print(summary(ind$age[ind$weight>0]))
		message(c("\nDo you want to restrict this analyse on an interval of this variable ?","\nVoulez-vous restreindre l'analyse sur un intervalle de cette variable ?")[lg])
		choix <- menu(c(c("Yes","Oui")[lg],c("No","Non")[lg]))
		if (choix==1)
			{
			minimum <- as.numeric(min(ind$age[ind$weight>0]))
			maximum <- as.numeric(max(ind$age[ind$weight>0]))
			message(c("Two windows will open. Modify the minimum value to keep, close the window, modify the maximum value, close the window.","Deux fentre vont s'ouvrir. Modifiez la valeur minimum  garder, fermez la fentre, modifiez la valeur maximum, fermez la fentre.")[lg])
			minimum <- edit(minimum)
			maximum <- edit(maximum)
			ind$weight[ind$age<minimum] <- 0
			ind$weight[ind$age>maximum] <- 0
			info <- paste(info,c("The analyse was restricted with people aged ","L'analyse a t restreinte aux personnes ges de ")[lg],minimum,"-",maximum,c("years old."," ans.")[lg])
			}
		}
	#Vrification type des variables
	if (!is.integer(clust$cluster)) clust$cluster <- as.integer(as.character(clust$cluster))
	if (!is.numeric(clust$x)) clust$longitude <- as.numeric(as.character(clust$x))
	if (!is.numeric(clust$y)) clust$latitude <- as.numeric(as.character(clust$y))
	if (residence !=0)
		if (!is.factor(clust$residence)) clust$residence <- as.factor(clust.residence)
	#Cration des nouvelles variables
	clust$n <- 0
	clust$nweight <- 0
	clust$obs.prevalence <- NA
	#Calcul, pour chaque cluster, de ces variables  partir de la base ind
	for (i in 1:length(clust$cluster)) {
		j <- clust$cluster[i]
		temp.ind <- ind[ind$cluster==j,,drop=FALSE]
		temp.ind$weight[is.na(temp.ind$statut)] <- 0
		#calcul de n, nbre d'observations valides, cd avec un rsultat et poids non nul
		clust$n[i] <- sum(table(temp.ind$weight,temp.ind$statut, exclude = c(NA, NaN, 0)))
		clust$nweight[i] <- sum(temp.ind$weight)
		clust$obs.prevalence[i] <- weighted.mean(temp.ind$statut-1,temp.ind$weight,na.rm=TRUE)*100
	}
	#Codification du milieu de rsidence
	if (residence!=0) {
		if (!is.factor(clust$residence)) clust$residence <- as.factor(clust$residence)
		message(c("A window will open. Please select the urban item and the rural item.","Une fentre va s'ouvrir. Veuillez spcifier l'item urbain et l'item rural.")[lg])
		modalite <- attr(clust$residence,'levels')
		urb<-select.list(modalite, multiple=FALSE, title=c("Urban item?","Item urbain ?")[lg])
		rur<-select.list(modalite, multiple=FALSE, title=c("Rural item?","Item rural ?")[lg])
		modalite[modalite==urb] <- "Urban"
		modalite[modalite==rur] <- "Rural"
		attr(clust$residence,'levels') <- modalite
	}
	#Rcap infos sur le fichier cr.
	message("\n----------------------------------------------------\n")
	message(info)
	infos.prev(clust, lang=lang)
	return(clust)
}

