`make.ind.spss` <-
function (file, lang="en")
{
	# Vrification langue
	if (lang=="fr") lg <- 2
	else lg <- 1
	# Lecture du fichier de donnes et des noms de variable
	require(foreign)
	temp.ind <- read.spss2(file, use.value.labels=TRUE, to.data.frame=TRUE)
	temp.var <- paste(attr(temp.ind, "names"), attr(temp.ind,"variable.labels"), sep=" - ")
	# Identification de chaque variable
	ok <- 0
	while (ok!=1) {
		message("\n----------------------------------------------------\n")
		message(c("Please indicate the following variables:\n","Veuillez indiquer les variables suivantes :\n")[lg])
		message(c("\nIdentification number (0 if doesn't exist):","\nIdentifiant (0 s'il n'existe pas) :")[lg])
		id <- menu(temp.var)
		message(c("\nCluster number (0 if doesn't exist. The cluster number will be calculated with identification number.):","\nNumro du cluster (0 s'il n'existe pas. Le numro de cluster sera alors calcul  partir des identifiants.) :")[lg])
		clust <- menu(temp.var)
		message(c("\nAge (0 if doesn't exist):","\nAge (0 s'il n'existe pas) :")[lg])
		age <- menu(temp.var)
		message(c("\nSex (0 if doesn't exist):","\nSexe (0 s'il n'existe pas) :")[lg])
		sex <- menu(temp.var)
		message(c("\nAnalyzed variable (for example, result of HIV testing):","\nVariable analyse (par exemple, rsultat du test VIH) :")[lg])
		result <- menu(temp.var)
		message(c("\nStatistical weight (0 if doesn't exist. All persons will have the same weight of 1.):","\nPoids statistique (0 s'il n'existe pas. Tous les individus auront un poids gal  1.) :")[lg])
		weight <- menu(temp.var)
		#Affichage des donnes entres
		message("\n----------------------------------------------------\n")
		message(c("CAUTION: please check the following informations:\n","ATTENTION : veuillez vrifier les informations suivantes :\n")[lg])
		message(c("* Identification number:","* Identifiant des individus :")[lg])
		message(temp.var[id],if(id==0) c("Not available","Non renseign")[lg])
		message(c("* Cluster number:","* Numro de cluster :")[lg])
		message(temp.var[clust],if(clust==0) c("Not available - It will be calculated with identification number.","Non renseign - Il sera calcul  partir du numro d'identifiants")[lg])
		message(c("* Age:","* Age :")[lg])
		message(temp.var[age],if(age==0) c("Not available","Non renseign")[lg])
		message(c("* Sex:","* Sexe :")[lg])
		message(temp.var[sex],if(sex==0) c("Not available","Non renseign")[lg])
		message(c("* Analyzed variable:","* Variable analyse :")[lg])
		message(temp.var[result],if(result==0) c("Not available - WARNING: this variable must be specified!!","Non renseigne - ATTENTION : cette variable doit tre renseigne !!")[lg])
		message(c("* Statistical weight:","* Poids statistique :")[lg])
		message(temp.var[weight],if(weight==0) c("Not available - All persons will have a weight of 1.","Non renseign - Tous les individus auront un poids gal  1.")[lg])
		message("\n----------------------------------------------------\n")
		#Vrification des donnes entres
		alarm()
		if (id==0 & clust==0)
			message(c("WARNING: if cluster number not specified, you need to specify identification number!!","ATTENTION : si le numro de cluster n'est pas renseign, vous devez spcifier l'identifiant des individus!!")[lg])
		if (result==0)
			message(c("WARNING: you have to specify the analyzed variable!!","ATTENTION : vous devez spcifier la variable  analyser!!")[lg])
		if ((id==0 & clust==0) | result==0)
			{
			message("\n----------------------------------------------------\n")
			message(c("WARNING: some problem was found (see above). You have to start again. Are you ready?","ATTENTION : un problme a t dtect (voir ci-dessus). Vous devez recommencer. tes-vous prt ?")[lg])
			menu(c("Yes","Oui")[lg])
			}
		else
			{
			message(c("Are these data correct?","Ces donnes sont-elles correctes ?")[lg])
			ok <- menu(c(c("Yes","Oui")[lg],c("No","Non")[lg]))
			}
	}
	#Cration de la base
	ind <- data.frame(temp.ind[id],temp.ind[clust],temp.ind[age],temp.ind[sex],temp.ind[result],temp.ind[weight])
	#Renommage des variables
	i <- 1
	if (id!=0)
		{
		names(ind)[i]<-"id"
		i <- i+1
		}
	if (clust!=0)
		{
		names(ind)[i]<-"cluster"
		i <- i+1
		}
	if (age!=0)
		{
		names(ind)[i]<-"age"
		i <- i+1
		}
	if (sex!=0)
		{
		names(ind)[i]<-"sex"
		i <- i+1
		}
	if (result!=0)
		{
		names(ind)[i]<-"original.result"
		i <- i+1
		}
	if (weight!=0)
		{
		names(ind)[i]<-"weight"
		i <- i+1
		}
	#Recodage de la variable result
	ok <- 0
	message("\n----------------------------------------------------\n")
	message(c("Three windows will open in order to re-code the analysed variable.\nYou will have to specify the modalities corresponding to a positive result (the analysed phenomenon occured), \na negative result (not occured) and an undetermined result (considered as a missing value).\nYou can select several modalities with CTRL.\nAre you ready?","Trois fentres vont s'ouvrir pour recoder la variable analyse.\nVous devrez spcifier les modalits correspondant  un rsultat positif (le phnomne tudi a eu lieu), \nngatif (n'a pas eu lieu) ou indtermin (considr alors comme valeur manquante).\nVous pouvez slectionner plusieurs modalits  l'aide de la touche CTRL.\ntes-vous-prt ?")[lg])
	menu(c("Yes","Oui")[lg])
	modalites <- attr(ind$original.result,'levels')
	while (ok!=1) {
		pos <- select.list(modalites, multiple=TRUE, title=c("Positive result","Rsultat positif")[lg])
		neg <- select.list(modalites, multiple=TRUE, title=c("Negative result","Rsultat ngatif")[lg])
		und <- select.list(modalites, multiple=TRUE, title=c("Undetermined result","Rsultat indtermin")[lg])
		message("\n----------------------------------------------------\n")
		if (length(neg)+length(pos)+length(und)!=length(modalites)) {
			alarm()
			message(c("You specified the same modality two times or you forgot one. Please start again.\nAre you ready?","Vous avez slectionn une modalit deux fois, ou bien vous en avez oubli une. Veuillez recommencer.\ntes-vous prt ?")[lg])
			menu(c("Yes","Oui")[lg])
		} else {
			message(c("CAUTION: please check the following informations:\n","ATTENTION : veuillez vrifier les informations suivantes :\n")[lg])
			message(c("\n* Positive result:","\n* Rsultat positif :")[lg])
			message("- ",paste(pos,collapse="\n- "))
			message(c("\n* Negative result:","\n* Rsultat ngatif :")[lg])
			message("- ",paste(neg,collapse="\n- "))
			message(c("\n* Undetermined result:","\n* Rsultat indtermin :")[lg])
			message("- ",paste(und,collapse="\n- "))
			message(c("\nAre these data correct?","\nCes donnes sont-elles correctes ?")[lg])
			ok <- menu(c(c("Yes","Oui")[lg],c("No","Non")[lg]))
		}
	}
	ind$result <- NA
	for (i in 1:length(neg)) ind$result[ind$original.result==neg[i]] <- 1
	for (i in 1:length(pos)) ind$result[ind$original.result==pos[i]] <- 2
	ind$result <- as.factor(ind$result)
	levels(ind$result)[1] <- "Negative"
	levels(ind$result)[2] <- "Positive"
	#Vrification de la variable weight
	if (weight==0) {
		ind$weight <- 1
	} else {
		message("\n----------------------------------------------------\n")
		message(c("Often, in DHS, the weight variable have to be divided by a factor, usually 1'000'000. Its mean value is:","Souvent, dans les EDS, la variable poids doit tre divise par un facteur, usuellement 1 000 000. Sa valeur moyenne est de  :")[lg])
		message(round(mean(ind$weight[ind$weight>0]),digits=2))
		message(c("\nIf this value is close to 1, the variable does not have to be modified. If it is close to 1'000'000, then it must be divided by this factor; Else consult the survey documentation.","\nSi cette valeur est proche de 1, a priori la variable n'a pas  tre modifie. Si elle est proche de 1 000 000, alors elle doit tre divise par ce facteur, sinon consultez la documentation de l'enqute.")[lg])
		message(c("Does the weight variable have to be divided by a factor or staying like actually ?","La variable doit-elle tre garde telle quelle ou divise par un facteur ?")[lg])
		choix <- menu(c(c("No modification","Pas de modification")[lg],c("Divided by 1'000'000","Division par 1 000 000")[lg],c("Divided by an other factor","Division par un autre facteur")[lg]))
		if (choix > 1) {
			if (choix==2) division.factor <- 1000000
			else {
				message(c("Wich factor?","Quel facteur de division ?")[lg])
				division.factor <- 1
				division.factor <- as.integer(de(division.factor))
			}
			ind$weight <- ind$weight/division.factor
		}
	}
	#Vrification de la variable cluster
	if (clust!=0) {
		if (is.character(ind$cluster)) ind$cluster<-as.integer(ind$cluster)
		if (is.factor(ind$cluster)) ind$cluster<-as.integer(as.character(ind$cluster))
	} else {
		#Cration de la variable cluster si non renseigne
		if (!is.character(ind$id)) ind$id <- as.character(ind$id)
		exemple1 <- ind$id[1]
		exemple2 <- ind$id[length(ind$id)%/%2]
		exemple3 <- ind$id[length(ind$id)]
		message("\n----------------------------------------------------\n")
		message(c("The cluster variable is not specified. It must be calculated from the identification number. Usually in DHS, the cluster number corresponds to the first three digits of the identification number. You can see here three identification number selected at the beginning, the medium and the end of the file:","La variable cluster n'est pas renseigne et doit donc tre calcule  partir du numro d'identifiant. Usuellement, dans les EDS, le numro de cluster correspond aux trois premiers chiffres du numro d'identifiant. Voici trois numros d'identifiants, pris au dbut, au mileu et  la fin du fichier :")[lg])
		message(c("- Identification number 1: ","Numro d'identification 1 : ")[lg],exemple1)
		message(c("- Identification number 2: ","Numro d'identification 2 : ")[lg],exemple2)
		message(c("- Identification number 3: ","Numro d'identification 3 : ")[lg],exemple3)
		message(c("\nLocate for each one of them the number of cluster. Among the various proposals below, which extracts the good cluster numbers?\n","\nReprez pour chacun d'eux le numro de cluster. Parmi les diffrentes propositions ci-dessous, laquelle extrait les bons numros de cluster ?\n")[lg])
		choix <- c()
		for (i in 1:(nchar(exemple1)-2))
			choix <- c(choix,paste("Cluster 1: ",substr(exemple1,i,i+2),"  -  Cluster 2: ",substr(exemple2,i,i+2),"  -  Cluster 3: ",substr(exemple3,i,i+2),"           ."))
		lim <- menu(choix)
		ind$cluster <- as.integer(substr(ind$id,lim,lim+2))
	}
	#Vrification de la variable sex
	if (sex!=0)
		if(!is.factor(ind$sex)) ind$sex <- as.factor(ind$sex)
	#Vrification de la variable age
	if (age!=0)
		if(!is.integer(ind$age)) ind$age <- as.integer(as.character(ind$age))
	#On renvoie le rsultat final
	return(ind)
}

