`map.clust` <-
function (clust, boundary, type='urb',lang="en", var.urb='residence', var.n='n', var.obs.prevalence='obs.prevalence', var.coords=c('x','y'), inverse=FALSE, add.legend=TRUE, legend.location='bottomright', factor.size=0.2, new.window=TRUE, ...) {
	#Si type='urb', on fait la carte des clusters selon milieu de rsidence, si type='flower', on fait la carte du nombre de personnes HIV+ par cluster, si type='count' la carte du nombre de personnes testes par cluster.
	#Vrification langue
	if (lang=="fr") lg <- 2
	else lg <- 1
	#Vrifications
	if(!any(type==c('urb','flower','count'))) stop(c("type must be 'urb','flower' or 'count'.","type doit tre 'urb', 'flower' ou 'count'.")[lg])
	if(type=='urb' & length(clust[[var.urb]])==0) stop(c("var.urb must be specified.","var.urb doit tre spcife")[lg])
	if(any(type==c('flower','count')) & length(clust[[var.n]])==0) stop(c("var.n must be specified.","var.n doit tre spcife")[lg])
	if(type=='flower' & length(clust[[var.obs.prevalence]])==0) stop(c("var.obs.prevalence must be specified.","var.obs.prevalence doit tre spcife")[lg])
	if(length(clust[[var.coords[1]]])==0 | length(clust[[var.coords[2]]])==0) stop(c("var.coords must be specified.","var.coords doit tre spcife")[lg])
	if(any(names(boundary)!=c('x','y'))) stop(c("Variables names of boundary must be x and y.","Les noms de variables de boundary doivent tre x et y.")[lg])
	#Prparation carte
	if (new.window) X11()
	plot(boundary,asp=1,type='l', axes=FALSE,xlab=NA,ylab=NA)
	if (type=='urb') {
		if(inverse) niveaux <- sort(levels(clust[[var.urb]]),decreasing=TRUE)
		else niveaux <- sort(levels(clust[[var.urb]]),decreasing=FALSE)
		rur <- clust[clust[[var.urb]]==niveaux[1],]
		urb <- clust[clust[[var.urb]]==niveaux[2],]
		points(x=rur[[var.coords[1]]], y=rur[[var.coords[2]]], pch=21, bg='green')
		points(x=urb[[var.coords[1]]], y=urb[[var.coords[2]]], pch=22, bg='red')
		title(...)
		if (add.legend)
			legend(legend.location, legend=niveaux, pch=c(21,22), pt.bg=c('green','red'))
	}
	if (type=='flower') {
		n.positif <- round(clust[[var.obs.prevalence]]*clust[[var.n]]/100)
		aucun <- clust[n.positif==0,]
		points(x=aucun[[var.coords[1]]],y=aucun[[var.coords[2]]], pch=22, bg='green3', cex=0.7)
		sunflowerplot(x=clust[[var.coords[1]]],y=clust[[var.coords[2]]],number=n.positif,add=TRUE,seg.lwd=1.5,seg.col='red3',cex=0.8, bg='VioletRed4', pch=21)
		title(...)
		if (add.legend)
			legend(legend.location, legend=c(c("No positive case","Aucun cas positif")[lg],c("Only one positive case","Un seul cas positif")[lg],c("One positive case by 'petal'","Un cas positif par 'ptale'")[lg]), pch=c(22,21,8), pt.bg=c('green3','VioletRed4','red3'), col=c('black','black','red3'))
	}
	if (type=='count') {
		points(x=clust[[var.coords[1]]],y=clust[[var.coords[2]]], pch=21, bg='skyblue3', cex=clust[[var.n]]*factor.size)
		title(...)
		if(add.legend)
			legend(legend.location, legend=c("5       ","10       ","25"), pch=c(21,21,21), pt.bg=c('skyblue3','skyblue3','skyblue3'), pt.cex=c(5*factor.size,10*factor.size,25*factor.size), horiz=TRUE)
	}
}

