`verif.urb` <-
function (clust, conf.level=0.90, add=FALSE, lang="en", var.clust=c("n","nweight","obs.prevalence","urban.area","city.name"), urban.area.code="in urban area")
{
	#Vrification langue
	if (lang=="fr") lg <- 2
	else lg <- 1
	#Vrifications
	if (!is.numeric(clust[[var.clust[1]]])) stop(var.clust[1],c(" (number of persons by cluster) must be numeric."," (nombre de personnes par cluster) doit tre numrique.")[lg])
	if (!is.numeric(clust[[var.clust[2]]])) stop(var.clust[2],c(" (weighted total of persons by cluster) must be numeric."," (total pondrs du nombre de personnes par cluster) doit tre numrique.")[lg])
	if (!is.numeric(clust[[var.clust[3]]])) stop(var.clust[3],c(" (observed prevalence by cluster) must be numeric."," (prvalence observe par cluster) doit tre numrique.")[lg])
	if (length(clust[[var.clust[4]]])==0) stop(var.clust[4],c(" (urban area) must be specified."," (milieu de rsidence recod) doit tre spcifie.")[lg])
	if (length(clust[[var.clust[5]]])==0) stop(var.clust[5],c(" (city name) must be specified."," (nom des villes) doit tre spcifie.")[lg])
	if (!is.factor(clust[[var.clust[4]]])) clust[[var.clust[4]]] <- as.factor(clust[[var.clust[4]]])
	if (length(clust[clust[[var.clust[4]]]==urban.area.code,][[var.clust[4]]])==0) stop(var.clust[4],c(" must contain at least a cluster where "," doit contenir au moins un cluster tel que ")[lg],var.clust[[4]],c(" is equal to '"," est gal  '")[lg],urban.area.code,"'.")
	if (!is.character(clust[[var.clust[5]]])) clust[[var.clust[5]]] <- as.character(clust[[var.clust[5]]])
	if (!is.logical(add)) stop(c("Add must be TRUE or FALSE.","Add doit tre TRUE ou FALSE.")[lg])
	#Prparation des donnes	
	result<-data.frame()
	liste.villes <- levels(as.factor(clust[[var.clust[5]]]))
	#Pour chaque villes
	for (i in 1:length(liste.villes)) {
		city <- liste.villes[i]
		temp <- clust[clust[[var.clust[4]]]==urban.area.code&clust[[var.clust[5]]]==city,]
		city.nb.cluster <- length(temp[[1]])
		if (city.nb.cluster > 0) {
			city.prevalence <- weighted.mean(temp[[var.clust[3]]],temp[[var.clust[2]]])
			city.n <- sum(temp[[var.clust[1]]], na.rm=TRUE)
			city.nweight <- sum(temp[[var.clust[2]]], na.rm=TRUE)
			test <- prop.test(city.prevalence*city.n/100,city.n,conf.level=conf.level)
			city.low <- test$conf.int[1]*100
			city.high <- test$conf.int[2]*100
		} else {
			city.prevalence <- NA
			city.n <- 0
			city.nweight <- 0
			city.low <- NA
			city.high <- NA
		}
		one.result <- data.frame(city,city.nb.cluster,city.n, city.nweight, city.prevalence, city.low, city.high)
		result <- rbind(result, one.result)
	}
	#Si on rajoute des donnes
	if (add) {
		result$add.prevalence <- 0
		result$add.n <- 0
		message(c("A window will open. Input additive data in columns 'add.prevalence' and 'add.n' for each city. Then close.\nFor 'add.prevalence', input data in %. For example, for 0.034=3.4%, input 3.4.","Une fentre va s'ouvrir. Complter les colonnes 'add.prevalence' et 'add.n' pour chaque ville, puis fermer.\nPour 'add.prevalence', rentrer les donnes en %. Par exemple, pour 0,034=3,4%, saisir 3.4.")[lg])
		result <- edit(result)
		result$add.low <- NA
		result$add.high <- NA
		result$p.value.comparison <- NA
		for (i in 1:length(result$city)) {
			if (result$add.n[i]>0) {
				test <- prop.test(round(result$add.prevalence[i]*result$add.n[i]/100),result$add.n[i],conf.level=conf.level)
				result$add.low[i] <- test$conf.int[1]*100
				result$add.high[i] <- test$conf.int[2]*100
				matrice <- matrix(c(round(result$city.prevalence[i]*result$city.n[i]/100),round(result$add.prevalence[i]*result$add.n[i]/100),result$city.n[i]-round(result$city.prevalence[i]*result$city.n[i]/100),result$add.n[i]-round(result$add.prevalence[i]*result$add.n[i]/100)),nc=2)
				test <- fisher.test(matrice, conf.level = conf.level)
				result$p.value.comparison[i] <- test$p.value
			}
		}
	}
	result$conf.level <- conf.level
	#Rsultats
	return(result)
}

