\name{N.optim}
\alias{N.optim}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Propose une valeur optimale pour le paramtre N.}
\description{
Calcule et propose une valeur optimale pour le paramtre \emph{N}  partir des caractristiques de l'chantillon (nombre total d'observations, prvalence globale et nombre de clusters).
}
\usage{
N.optim(
   n.total,
   global.prevalence,
   nb.clusters,
   b0 = 14.172,
   b1 = 0.419,
   b2 = -0.361,
   b3 = 0.037
   c = -91.011)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{n.total}{numeric. Nombre total d'observations valides.}
  \item{global.prevalence}{numeric. Prvalence globale de l'chantillon. En pourcents.}
  \item{nb.clusters}{numeric. Nombre total de clusters.}
  \item{b0}{Paramtre \eqn{b_0}.}
  \item{b1}{Paramtre \eqn{b_1}.}
  \item{b2}{Paramtre \eqn{b_2}.}
  \item{b3}{Paramtre \eqn{b_3}.}
  \item{c}{Constante \eqn{c}.}
}
\details{
La valeur de \eqn{N_{optimal}} est obtenue  partir de l'quation suivante :
\deqn{N_{optimal}=b_0*n.total^{b_1}*global.prevalence^{b_2}*nb.clusters^{b_3}+c}

Les coefficients \eqn{b_0}, \eqn{b_1}, \eqn{b_2} et \eqn{b_3} ont t obtenus  partir de la simulation de 24500 enqutes sur un pays modle, enqutes prsentant une prvalence globale de 1\%, 2\%, 5\%, 10\%, 15\%, 30\% ou 45\%, un effectif total de 5000, 6000, 7200, 8640, 10368, 12442 et 14930, rparti selon 300, 360, 432, 518 ou 622 clusters.
}
\value{
Integer.}
\references{
Joseph LARMARANGE, \emph{Prvalences du VIH en Afrique : validit d'une mesure}, thse de doctorat en dmographie, sous la direction de Benot FERRY, universit Paris Descartes, 2007.\cr
Disponible en ligne sur (\url{http://joseph.larmarange.net/}).
}
\examples{

data(alicante)

infos.prev(alicante.clust)
N.optim(8000,10.16,401)

}
\keyword{math}