\name{alicante}
\docType{data}
\alias{alicante}
\alias{alicante.bounds}
\alias{alicante.cities}
\alias{alicante.clust}
\alias{alicante.prev}
\alias{alicante.krige}

\title{Donnes issues d'une simulation d'EDS.}
\description{
Ces donnes sont issues de la simulation d'une Enqute Dmographique et de Sant (EDS) sur un pays fictif prsentant une prvalence nationale de 10 \%. 8000 personnes ont t enqutes, rparties en 401 clusters.
Le pays virtuel a t appel Alicante, d'o le nom du fichier de donnes.
}
\usage{
data(alicante)
}
\value{Charge 5 objets :
  \item{alicante.bounds}{data.frame. Frontires d'Alicante. Rsultat type de \code{\link{make.boundary.dcw}}.}
  \item{alicante.cities}{data.frame. Principales villes d'Alicante. Rsultat type de \code{\link{make.cities.csv}}.}
  \item{alicante.clust}{data.frame. Rsultats d'enqutes. Rsultat type de \code{\link{make.clust.dbf}} et de la fonction \code{\link{calcul.dist.cities}}.}
  \item{alicante.prev}{data.frame. Estimation des prvalences  partir des donnes d'enqutes. Rsultat type de \code{\link{estimate.prev}}.}
  \item{alicante.krige}{SpatialPixelsDataFrame. Interpolations spatiales ralises  partir des estimations de prvalence. Rsultat type de \code{\link{krige.prev}}.}
}
\source{
- Joseph Larmarange et al., 2006, 'Cartographier les donnes des enqutes dmographiques et de sant  partir des coordonnes des zones d'enqute', Chaire Qutelet, 29 novembre au 1er dcembre 2006, Universit Catholique de Louvain, Louvain-la-Neuve, Belgique.\cr
Disponible en ligne  (\url{http://www.uclouvain.be/13881.html}).

- Joseph LARMARANGE, \emph{Prvalences du VIH en Afrique : validit d'une mesure}, thse de doctorat en dmographie, sous la direction de Benot FERRY, universit Paris Descartes, 2007.\cr
Disponible en ligne sur (\url{http://joseph.larmarange.net/}).
}
\keyword{datasets}