\name{estimate.prev}
\alias{estimate.prev}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Estime la prvalence de chaque cluster par la mthode des cercles.}
\description{
Estime la prvalence de chaque cluster par la mthode des cercles selon trois paramtre \emph{N} (effectif minimum), \emph{R} (rayon maximum) et \emph{U} (prise en compte de l'appartenance  une agglomration urbaine). Plusieurs estimations peuvent tre ralises simultanment, une pour chaque combinaison des paramtres \emph{N}, \emph{R} et \emph{U}.
}
\usage{
estimate.prev(
   clust,
   N = seq(100, 500, 50),
   R = Inf,
   U = FALSE,
   dist.func = "rdist.earth",
   miles = FALSE,
   lang = "en",
   progression = TRUE,
   merge.result = FALSE,
   var.clust = c("x", "y", "n", "nweight", "obs.prevalence",
                                      "urban.area", "city.name"),
   urban.area.code = "in urban area")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{clust}{data.frame. Une observation (cluster) par ligne. Typiquement le rsultat de la fonction \code{\link{make.clust.dbf}}. Si le paramtre \emph{U} est utilis, ce fichier doit comprendre galement la distance  la ville, le nom de la ville la plus proche et l'appartenance ou non  une agglomration urbaine, typiquement le rsultat de la fonction \code{\link{calcul.dist.cities}}.}
  \item{N}{integer vector. Entier ou liste d'entiers reprsentant l'effectif minimum des cercles. Voir les fonctions \code{\link[base]{c}} et \code{\link[base]{seq}} pour la gnration de listes d'entiers. Si l'on ne souhaite pas utiliser le paramtre \emph{N}, attribuez  \code{N} la valeur \code{Inf}.}
  \item{R}{integer vector. Entier ou liste d'entiers reprsentant le rayon maximum des cercles. Voir les fonctions \code{\link[base]{c}} et \code{\link[base]{seq}} pour la gnration de listes d'entiers. Si l'on ne souhaite pas utiliser le paramtre \emph{R}, attribuez  \code{R} la valeur \code{Inf}.}
  \item{U}{logical or integer. Spcifie si l'appartenance  une agglomration urbaine doit tre prise en compte. \code{TRUE} pour la prise en compte, \code{FALSE} pour la non prise en compte, \code{2} si l'on souhaite raliser les estimations avec et sans prise en compte de ce paramtre.}
  \item{dist.func}{character. Nom de la fonction utilise pour calculer les distances. Utilisez \code{\link[fields]{rdist.earth}} si vous utilisez des coordonnes longitude/latitude en degrs dcimaux. Utilisez \code{\link[fields]{rdist}} pour des distances euclidiennes.}
  \item{miles}{logical. Transmise  \code{\link[fields]{rdist.earth}} si cette fonction est appele. Calcul des distances en kilomtres si \code{FALSE} et en miles si \code{TRUE}.}
  \item{lang}{character. Permet de choisir la langue des messages utilisateur. \code{fr} pour le franais, \code{en} pour l'anglais.}
  \item{progression}{logical. Si \code{TRUE}, affiche la progression du calcul.}
  \item{merge.result}{logical. Si \code{TRUE}, applique la fonction \code{\link{merge.prev}} aux rsultats. Voir  \emph{Value}.}
  \item{var.clust}{character vector. Liste correspondant aux noms des diffrentes variables de \code{clust}. Dans l'ordre : longitude, latitude, effectif, effectif pondr, prvalence observe, appartenance  une agglomration urbaine et nom de la ville la plus proche. Les deux derniers noms n'ont pas besoin d'tre prciss si \code{U = FALSE}. Les noms par dfaut correspondent aux noms de variables produits par \code{\link{make.clust.dbf}} et \code{\link{calcul.dist.cities}}.}
  \item{urban.area.code}{character. Valeur texte spcifiant comment est code la valeur \emph{appartient  une agglomration urbaine} de la variable \emph{appartenance  une agglomration urbaine} dans \code{clust}.\cr
La valeur par dfaut correspond  une sortie de \code{\link{calcul.dist.cities}}.}
}
\details{
Estime la prvalence de chaque cluster pour chaque combinaison des paramtres \emph{N}, \emph{R} et \emph{U}.
Pour une combinaison de paramtres, la fonction calcule la distance du cluster  l'ensemble des autres clusters, puis trie les clusters par distance croissante.
Si \emph{U} est requis et que le cluster appartient  une agglomration urbaine, seuls les clusters de la mme agglomration urbaine sont slectionns. Si \emph{U} est requis et que le cluster n'appartient pas  une agglomration urbaine, seuls les clusters hors agglomration urbaine sont slectionns.
Si \emph{N} est spcifi (diffrent de \code{Inf}), seuls les clusters les plus proches sont slectionns de manire  ce que le nombre total de personnes enqutes (variable \emph{n}) soit au moins gal  \emph{N}.
Si \emph{R} est spcifi (diffrent de \code{Inf}), seuls les clusters situs  une distance infrieure  \emph{R} sont retenus.
La prvalence du cluster est alors estime sur l'ensemble des clusters slectionns en tenant compte de la pondration de chaque cluster (variable \emph{nweight}).

Pour plus de dtails, voir le tutoriel de prevR (\file{tutoriel.prevR.pdf}).
}
\value{
Renvoie \code{clust} en lui ajoutant 8 nouvelles variables, dcrites ci-dessous. S'il y a plusieurs combinaisons des trois paramtres \emph{N}, \emph{R} et \emph{U}, \code{clust} est rpt autant de fois qu'il y a de combinaisons.
  \item{est.prevalence}{Prvalence estime.}
  \item{circle.count}{Effectif total sur lequel l'estimation a t effectue.}
  \item{circle.radius}{Rayon du cercle de lissage dans lequel sont contenus les clusters retenus pour l'estimation.}
  \item{circle.nb.clusters}{Nombre de clusters retenus pour l'estimation.}
  \item{quality.indicator}{Indicateur de qualit de l'estimation. Il est obtenu pour chaque cluster selon l'quation suivante :\deqn{quality.indicator = \frac{circle.radius^2}{\sqrt{circle.count}}}
Plus la valeur de cet indicateur est leve, plus l'estimation est incertaine.}
  \item{N.parameter}{Valeur du paramtre \emph{N} pour cette estimation. \code{Inf} si le paramtre n'a pas t appliqu.}
  \item{R.parameter}{Valeur du paramtre \emph{R} pour cette estimation. \code{Inf} si le paramtre n'a pas t appliqu.}
  \item{U.parameter}{0 si le paramtre \emph{U} n'a pas t appliqu. Le nombre d'agglomrations urbaines retenues sinon.}

Si \code{merge.result = TRUE}, \code{clust} est renvoy en lui ajoutant autant de fois qu'il y a de combinaisons des trois paramtres, les variables \emph{est.prevalence}, \emph{circle.count}, \emph{circle.radius}, \emph{circle.nb.clusters} et \emph{quality.indicator}.
Les noms de ces variables prennent alors comme suffixe :\emph{.Nvaleur-de-n.Rvaleur-de-r.Uvaleur-de-u} (voir \code{\link{merge.prev}}).
}
\note{
Pour plus d'informations sur le choix des paramtres, voir le tutoriel de prevR (\file{tutoriel.prevR.pdf}).
La valeur optimale de \emph{N} peut tre dtermine  partir du nombre total de personnes testes, du nombre total de clusters et de la prvalence globale. Voir \code{\link{infos.prev}} et \code{\link{N.optim}}.
Un bon compromis pour choisir R consiste  retenir la valeur du neuvime dcile de \emph{circle.radius} lorsque seul le paramtre \emph{N} est appliqu avec sa valeur optimale. Voir \code{\link{infos.prev}}.

Il est possible, si \code{merge.result = FALSE}, d'extraire du data.frame renvoy les lments correspondant  une seule combinaison des trois paramtres  l'aide de la fonction \code{\link{extract.data}}.

Les rsultats peuvent tre exports au format \emph{texte tabul}  l'aide de \code{\link{write.txt}}, au format \emph{dbf}  l'aide de \code{\link[foreign]{write.dbf}} ou encore au format \emph{shape} pour importation dans un logiciel de cartographie  l'aide de \code{\link{write.prev.shp}}.
}
\seealso{\code{\link{infos.prev}} pour obtenir des infos sur le rsultat produit, \code{\link{extract.data}} et \code{\link{merge.prev}} pour manipuler les rsultats, \code{\link{write.prev.shp}}, \code{\link{write.txt}} et \code{\link[foreign]{write.dbf}} pour exporter les rsultats, \code{\link{krige.prev}} pour raliser une interpolation spatiale.}
\section{Warning }{Le temps de calcul de cette fonction peut prendre plusieurs minutes selon la puissance de votre machine. Soyez donc patient.}
\references{
- Joseph Larmarange et al., 2006, 'Cartographier les donnes des enqutes dmographiques et de sant  partir des coordonnes des zones d'enqute', Chaire Qutelet, 29 novembre au 1er dcembre 2006, Universit Catholique de Louvain, Louvain-la-Neuve, Belgique.\cr
Disponible en ligne  (\url{http://www.uclouvain.be/13881.html}).

- Joseph LARMARANGE, \emph{Prvalences du VIH en Afrique : validit d'une mesure}, thse de doctorat en dmographie, sous la direction de Benot FERRY, universit Paris Descartes, 2007.\cr
Disponible en ligne sur (\url{http://joseph.larmarange.net/}).
}
\examples{

data(alicante)

#  Premier lissage - juste selon N,
## pour les valeurs 100, 150, 200, 250, 300, 350 et 400

alicante.prev <- estimate.prev(
	alicante.clust,
	N=seq(100, 400, 50),
	R=Inf, U=FALSE)
str(alicante.prev)

alicante.prev.n250 <- extract.data(
	alicante.prev,
	value=c(250, Inf, 0))
str(alicante.prev.n250)
infos.prev(alicante.prev.n250)

str(merge.prev(alicante.prev))


# Second lissage - En utilisant les trois paramtres

alicante.prev <- estimate.prev(
	alicante.clust,
	N=c(250),
	R=c(128,Inf),
	U=2,
	merge.result=TRUE)
str(alicante.prev)

}
\keyword{math}