\name{extract.data}
\alias{extract.data}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Extrait les observations d'un data.frame selon une ou plusieurs conditions.}
\description{
Cette fonction permet d'extraire d'un data.frame les observations dont les valeurs  une ou plusieurs variables donnes sont gales  des valeurs passes en paramtre de la fonction.\cr
Typiquement, cette fonction permet de slectionner les observations correspondant  une combinaison prcise des paramtres \emph{N}, \emph{R} et \emph{U} d'un rsultat de la fonction \code{\link{estimate.prev}} appele avec \code{merge.result = FALSE}.
}
\usage{
extract.data(
   data,
   value = "ask",
   lang = "en",
   var.data = c("N.parameter", "R.parameter", "U.parameter"))
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{data}{data.frame. Dont on veut extraire des observations.}
  \item{value}{character or vector. Si \code{value="ask"}, la fonction liste les diffrentes valeurs prsentes dans le fichier et propose  l'utilisateur de choisir celles qui lui conviennent. Sinon, liste des valeurs pour lesquelles on slectionne les observations. Doit alors tre de mme longueur que \code{var.data}}
  \item{lang}{character. Permet de choisir la langue des messages utilisateur. \code{fr} pour le franais, \code{en} pour l'anglais.}
  \item{var.data}{character vector. Liste des variables sur lesquelles porte la slection.}
}
\details{
Seules sont slectionnes les observations dont les valeurs aux variables \code{var.data} correspondent  \code{value}.
Voir le tutoriel de prevR (\file{tutoriel.prevR.pdf}) pour une dmonstration avec \code{value="ask"}.
}
\value{
Renvoie \code{data} avec uniquement les observations slectionnes.
}
\note{
Cette fonction sert typiquement  slectionner, dans les rsultats de \code{\link{estimate.prev}} avec \code{merge.result = FALSE}, les observations correspondant  une combinaison donne des trois paramtres.

Elle peut galement servir  slectionner, par exemple, les clusters ruraux ou bien les clusters appartenant  une agglomration donne. Voir les exemples ci-dessous.
}
\seealso{\code{\link[base]{[.data.frame}}.}
\examples{
data(alicante)

## Extraction  partir d'un rsultat de estimate.prev

alicante.prev <- estimate.prev(
	alicante.clust,
	N=seq(200, 300, 50),
	R=Inf,
	U=FALSE)
str(alicante.prev)
alicante.prev.n250 <- extract.data(
	alicante.prev,
	value=c(250, Inf, 0))
str(alicante.prev.n250)

## Slection des clusters ruraux

rur <- extract.data(
	alicante.clust,
	value='Rural',
	var.data='residence')
str(rur)

## Slection des clusters appartenant  l'agglomration urbaine de la ville A

urb.A <- extract.data(
	alicante.clust,
	value=c('in urban area','A'),
	var.data=c('urban.area','city.name'))
str(urb.A)


}

\keyword{manip}