\name{infos.prev}
\alias{infos.prev}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Fournit des informations  propos d'un data.frame de type clust ou prev.}
\description{
Affiche le nombre de clusters, d'observations, la prvalence globale, une valeur optimale pour N, le nombre d'agglomrations urbaines et leurs noms, ainsi que les quantiles des rayons des cercles de lissage.
}
\usage{
infos.prev(
   prev,
   lang = "en",
   var.n = "n",
   var.nweight = "nweight",
   var.obs.prevalence = "obs.prevalence",
   var.city.name = "city.name",
   var.circle.radius = "circle.radius")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{prev}{data.frame. Chaque ligne doit correspondre  un cluster.}
  \item{lang}{character. Permet de choisir la langue des messages utilisateur. \code{fr} pour le franais, \code{en} pour l'anglais.}
  \item{var.n}{character. Nom de la variable correspondanta aux effectifs observs dans chaque cluster.}
  \item{var.nweight}{character. Nom de la variable correspondants aux effectifs pondrs de chaque cluster.}
  \item{var.obs.prevalence}{character. Nom de la variable correspondant  la prvalance observe dans chaque cluster.}
  \item{var.city.name}{character. Optionnel. Nom de la variable correspondant au nom de la ville la plus proche.}
  \item{var.circle.radius}{character. Optionnel. Nom de la variable correspondant aux rayons des cercles de lissage.}
}
\details{
Cette fonction affiche les renseignements suivants :
\describe{
  \item{- nombre de clusters}{correspond au nombre de lignes dans \code{data}.}
  \item{- nombre d'observations valides}{correspond  la somme de la colonne dfinie par \code{var.n}.}
  \item{- prvalence globale}{correspondant  la moyenne de la colonne dfinie par \code{var.obs.prevalence}, pondre par la colonne dfinie par \code{var.nweight}.}
  \item{- valeur optimale propose pour \emph{N}}{calcule  partir de la fonction \code{\link{N.optim}}.}
  \item{- nombre et nom des villes}{si une colonne valide est entre pour \code{var.city.name}, le nombre de villes trouves ainsi que leurs noms.}
  \item{- quantile du rayon des cercles}{si une colonne valide est entre pour \code{var.circle.radius}, les quantiles  50\%, 75\%, 80\%, 85\%, 90\%, 95\% et 99\% de cette colonne.}
}
}
\value{
Cette fonction renvoie la valeur \code{NULL}.
}
\section{Warning }{
Si vous souhaitez appliquer cette fonction  un rsultat obtenu avec \code{\link{estimate.prev}} appele avec plusieurs combinaisons des trois paramtres et \code{merge.result = FALSE}, utilisez \code{\link{extract.data}} ou \code{\link{merge.prev}} avant d'utiliser \code{\link{infos.prev}}.
}
\seealso{\code{\link{N.optim}} pour les dtails concernant le calcul d'une valeur optimale de N.}
\examples{

data(alicante)

infos.prev(alicante.clust)

infos.prev(alicante.prev,var.circle.radius='circle.radius.N250.RInf.U6')

}

\keyword{utilities}