\name{krige.prev}
\alias{krige.prev}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Ralise des interpolations spatiales par krigeage et/ou selon une pondration inverse  la distance.}
\description{
Cette fonction met en forme les donnes contenues dans un data.frame et permet de raliser des interpolations spatiales sur une grille rgulire en ayant recours aux fonctions du package \pkg{gstat}. Elle permet galement de guider l'utilisateur pas  pas pour choisir le modle de variogramme utilis.
}
\usage{
krige.prev(
   data,
   formula = est.prevalence ~ 1,
   locations = ~x + y,
   type = "ask",
   boundary = NULL,
   cell.size = 0.05,
   ask.cell.size = TRUE,
   lang = "en",
   model = vgm(1, "Exp", 1),
   idp = 2,
   show.variogram = TRUE, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{data}{data.frame. Chaque ligne doit correspondre  une observation ponctuelle.\cr
ATTENTION : deux observations ne peuvent avoir les mmes coordonnes.}
  \item{formula}{formula or formulae list. Formule ou liste de formules spcifiant les interpolations  raliser. Chaque formule dfinit la variable dpendante comme un modle linaire de variables indpendantes. Pour un krigeage ordinaire ou une interpolation selon l'inverse de la distance, utilisez une formule du type \code{z~1}. Voir \code{\link[gstat]{krige}} pour plus de dtails.}
  \item{locations}{formula. Spcifie sous la forme d'une formule les colonnes de \code{data} correspondant aux coordonnes gographiques des observations. Si, par exemple, la longitude correspond  la colonne \code{x} et la latitude  la colonne \code{y}, entrez \code{~x+y}.}
  \item{type}{character. Peut prendre les valeurs \emph{ask}, \emph{auto}, \emph{model} ou \emph{idw}. Voir les dtails.}
  \item{boundary}{data.frame. Optionnel. Frontires de la zone gographique tudie, sous la forme d'une srie de points dessinant un polygone ferm. Les coordonnes des points doivent tre inscrites dans des colonnes ayant les mmes noms que ceux dfinis dans \code{locations} ou bien nommes \emph{x} et \emph{y}. Les units doivent videmment tre identiques.}
  \item{cell.size}{numeric. Permet de dfinir la taille de chaque cellule de la grille sur laquelle l'interpolation spatiale sera ralise. S'exprime dans la mme unit que celle utilise pour les coordonnes des points de \code{data}.}
  \item{ask.cell.size}{logical. Si \code{TRUE}, calcule et affiche la taille de la grille engendre par la valeur de \code{cell.size} et permet  l'utilisateur de modifier cette dernire.}
  \item{lang}{character. Permet de choisir la langue des messages utilisateur. \code{fr} pour le franais, \code{en} pour l'anglais.}
  \item{model}{object or list of objects of class \code{variogramModel}. Typiquement un rsultat de la fonction \code{\link[gstat]{vgm}}. S'il s'agit d'une liste de modles de variogramme, elle doit avoir la mme longueur que \code{formula}. Pour gnrer cette liste, ayez recours  la fonction \code{\link[base]{list}}. Le recours  la fonction \code{\link[base]{c}} provoquerait une erreur. Les diffrents types de modles de variogrammes peuvent tre visualiss  l'aide de la fonction \code{\link[gstat]{show.vgms}}.
Non requis si \code{type = 'idw'}. Voir les dtails.}
  \item{idp}{numeric or numeric vector. Requis uniquement si \code{type = 'idw'}. Spcifie la puissance de la pondration selon l'inverse de la distance. Voir \code{\link[gstat]{idw}}. S'il s'agit d'un vecteur, il doit avoir la mme longueur que \code{formula}.}
  \item{show.variogram}{logical. Indique si les graphiques des variogrammes empiriques et des modles utiliss doivent tre affichs  la fin du calcul. Voir les exemples. Sans effet si \code{type = 'idw'}.}
  \item{\dots}{Autres arguments passs  chaque appel de \code{\link[gstat]{krige}} ou d'\code{\link[gstat]{idw}} selon le cas. Permet de raliser des interpolations locales et/ou par blocs. Voir la documentation de ces fonctions.}
}
\details{
Si \code{type='model'}, une interpolation spatiale par krigeage est ralise pour chaque lment de \code{formula} en utilisant le mme modle de variogramme pour tous si un seul modle est fourni dans \code{model}. Utilise chaque modle respectivement s'il s'agit d'une liste de modles de variogrammes.

Si \code{type='auto'}, les interpolations spatiales par krigeage sont ralises pour chaque lment de \code{formula} en utilisant les modles obtenus par la fonction \code{\link[gstat]{fit.variogram}} qui permet d'ajuster un modle de variogramme  un variogramme exprimental. Les valeurs de \code{model} sont passes  \code{\link[gstat]{fit.variogram}} et servent de valeurs de dpart pour l'ajustement. Pour plus de dtails, voir l'aide de cette fonction.

Si \code{type='ask'}, pour chaque lment de \code{formula}, un modle ajust est calcul  partir du variogramme exprimental, \code{model} servant de valeurs de dpart. Le variogramme exprimental et le modle ajust sont ensuite reprsents graphiquement. Une invite utilisateur permet d'accepter le modle ajust ou bien d'effectuer un ajustement manuel du modle. Voir le tutoriel de prevR (\file{tutoriel.prevR.pdf}) pour des exemples.

Si \code{type='idw'}, une interpolation spatiale par pondration selon l'inverse de la distance est ralise pour chaque lment de \code{formula}, les valeurs de \code{idp} tant passes  la fonction \code{\link[gstat]{idw}}.

}
\value{
Objet de la classe \code{\link[sp]{SpatialPixelsDataFrame}}.
Pour chaque variable interpole, deux variables sont produites : la prdiction de l'interpolation et la variance de cette prdiction (krigeage uniquement). Elles portent le nom de la variable suivi respectivement des suffixes \emph{.pred} et \emph{.var}.
Si \code{boundary} a t spcifi, les limites de la grille des rsultats correspondent aux limites de la frontire et les points situs en-dehors du polygone dfini par \code{boundary} sont attribus d'une valeur manquante \code{NA}. Sinon, les limites de la grille correspondent aux coordonnes limites des points contenus dans \code{data}.
}
\note{
Les rsultats de cette fonction peuvent tre cartographis  l'aide la fonction \code{\link[sp]{spplot}} et exports au format \emph{asc} pour importation dans un logiciel de cartographie  l'aide de la fonction \code{\link[sp]{write.asciigrid}}.Voir les exemples.

Pour plus de dtails, notamment sur l'utilisation de la fonction lorsque \code{type='ask'} et le choix d'un modle de variogramme, voir le tutoriel de prevR (\file{tutoriel.prevR.pdf}).
}
\section{Warning }{Le temps de calcul de cette fonction peut prendre plusieurs minutes selon la puissance de votre machine. Soyez donc patient.}
\seealso{\code{\link[sp]{krige}} pour les dtails concernant le krigeage, \code{\link[sp]{idw}} pour l'interpolation selon l'inverse de la distance, \code{\link[sp]{write.asciigrid}} pour l'exportation des rsultats, \code{\link[sp]{spplot}} pour reprsenter graphiquement les rsultats, \code{\link[sp]{vgm}} pour spcifier un modle de variogramme, \code{\link[sp]{show.vgms}} pour afficher les diffrents types de modles de variogrammes et \code{\link{extract.col}} pour extraire certaines colonnes.}
\examples{
data(alicante)

## Krigeage

show.vgms()
alicante.krige <- krige.prev(alicante.prev, boundary=alicante.bounds, 
	formula=c(est.prevalence.N100.RInf.U0~1,
		est.prevalence.N250.RInf.U0~1,
		est.prevalence.N250.R128.U0~1,
		est.prevalence.N250.R128.U6~1,
		circle.radius.N250.R128.U6~1,
		quality.indicator.N250.R128.U6~1),
	model=list(vgm(53.58,'Exp',0.56),
		vgm(48.97,'Exp',1.06),
		vgm(49.19,'Exp',1.07),
		vgm(42.47,'Exp',0.58),
		vgm(1056,'Exp',0.89),
		vgm(150000,'Exp',2.1)),
	type='model', ask.cell.size=FALSE,
		cell.size=0.075, show.variogram=FALSE)

## Reprsentation graphique

spplot(extract.col(alicante.krige))

spplot(alicante.krige,
	zcol = c('est.prevalence.N100.RInf.U0.pred',
		'est.prevalence.N250.RInf.U0.pred',
		'est.prevalence.N250.R128.U0.pred',
		'est.prevalence.N250.R128.U6.pred'),
	col.regions=prevR.colors.red(21),
	cuts=20,
	main='Estimated prevalence with several parameters')
x11()
spplot(alicante.krige,
	zcol = 'circle.radius.N250.R128.U6.pred',
	col.regions=prevR.colors.blue(21),
	cuts=20,
	main='Radius of circles - N=250 R=128 U=6')
x11()
spplot(alicante.krige,
	zcol = 'quality.indicator.N250.R128.U6.pred',
	col.regions=prevR.colors.green.inverse(21),
	cuts=20,
	main='Quality indicator - N=250 R=128 U=6')

## Exportation au format asc

\dontrun{
write.asciigrid(alicante.krige, 'alicante-krige.asc')
}

}
\keyword{smooth}