\name{merge.prev}
\alias{merge.prev}
\alias{rename.variables.parameters}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Rorganise les rsultats de estimate.prev.}
\description{
Rorganise un data.frame produit par la fonction \emph{estimate.prev} en un data.frame comportant un seul cluster par ligne, afin de permettre, par exemple, de raliser plusieurs interpolations spatiales simultanment avec \emph{krige.prev}.
}
\usage{
merge.prev(data)
rename.variables.parameters(data)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{data}{data.frame. L'appelation des colonnes doit correspondre  celui produit par \code{\link{estimate.prev}}.}
}
\details{
La fonction \code{\link{rename.variables.parameters}} supprime les colonnes \emph{N.parameter}, \emph{R.parameter} et \emph{U.parameter} de \code{data} ; renomme les colonnes \emph{est.prevalence}, \emph{circle.count}, \emph{circle.radius}, \emph{circle.nb.clusters} et \emph{quality.indicator} en \emph{xxx.Naa.Rbb.Ucc} o \emph{xxx} correspond  l'ancien nom de la colonne, \emph{aa}  la valeur de \emph{N.parameter}, \emph{bb}  la valeur de \emph{R.parameter} et \emph{cc}  la valeur de \emph{U.parameter}.

La fonction \code{\link{merge.prev}} extrait les donnes de \code{data} pour chaque combinaison des paramtres \emph{N}, \emph{R} et \emph{U}, leur applique \code{\link{rename.variables.parameters}} et fusionne les donnes en un seul data.frame.

}
\value{
data.frame avec un seul cluster par ligne. Voir les exemples.
}
\note{
\code{\link{merge.prev}} est applique directement au rsultat de \code{\link{estimate.prev}} si \code{merge.result = TRUE}.
}
\seealso{\code{\link{estimate.prev}}.}
\examples{

data(alicante)

alicante.prev <- estimate.prev(
	alicante.clust,
	N=c(100,250),
	R=c(128,Inf),
	U=2)
str(alicante.prev)

alicante.prev.n250 <- extract.data(
	alicante.prev,
	value=c(250, Inf, 0))
str(alicante.prev.n250)

alicante.prev.n250 <- rename.variables.parameters(alicante.prev.n250)
str(alicante.prev.n250)

alicante.prev <- merge.prev(alicante.prev)
str(alicante.prev)

}
\keyword{manip}