\name{prevR.colors}
\alias{prevR.demo.pal}
\alias{prevR.colors.red}
\alias{prevR.colors.red.inverse}
\alias{prevR.colors.blue}
\alias{prevR.colors.blue.inverse}
\alias{prevR.colors.green}
\alias{prevR.colors.green.inverse}
\alias{prevR.colors.gray}
\alias{prevR.colors.gray.inverse}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Palettes de couleurs continues.}
\description{
Fonctions gnrant des palettes de couleurs utilisables par les fonctions graphiques de R, en particulier \code{\link[sp]{spplot}}. Elles crent des palettes de couleurs continues, les contrastes tant renforcs par l'claircissement ou l'assombrissement des valeurs extrmes.
}
\synopsis{
prevR.demo.pal(n,
	border = if (n < 32) "light gray" else NA,
	main = paste("Palettes prevR  n=", n),
	ch.col = c("prevR.colors.red.inverse(n)",
		"prevR.colors.blue.inverse(n)",
		"prevR.colors.green.inverse(n)",
		"prevR.colors.gray.inverse(n)",
		"prevR.colors.red(n)",
		"prevR.colors.blue(n)",
		"prevR.colors.green(n)",
		"prevR.colors.gray(n)")
	)
}
\usage{
prevR.demo.pal(n)
prevR.demo.pal(n, border, main, ch.col)
prevR.colors.red(n)
prevR.colors.red.inverse(n)
prevR.colors.blue(n)
prevR.colors.blue.inverse(n)
prevR.colors.green(n)
prevR.colors.green.inverse(n)
prevR.colors.gray(n)
prevR.colors.gray.inverse(n)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{n}{integer. Nombre de couleurs constituant la palette.}
  \item{border}{color. Couleur de la bordure des cases.}
  \item{main}{character. Titre du graphique.}
  \item{ch.col}{character vector. Liste des fonctions  reprsenter.}
}
\details{
Le code de \code{\link{prevR.demo.pal}} a t repris sur celui de la fonction \code{demo.pal} dcrite dans les exemples de la documentation de \code{\link[grDevices]{rainbow}}.

\code{\link{prevR.colors.red}} ralise un gradient allant du blanc/jaune au rouge/rouge fonc.\cr
\code{\link{prevR.colors.blue}} ralise un gradient allant du bleu ple au bleu fonc.\cr
\code{\link{prevR.colors.green}} ralise un gradient allant du vert ple au vert fonc.\cr
\code{\link{prevR.colors.gray}} ralise un gradient allant du blanc/gris clair au gris fonc/noir.\cr

Les fonctions avec le suffixe \emph{.inverse} ralisent les mmes gradients mais en partant des couleurs fonces vers les couleurs claires.
}
\value{
\code{\link{prevR.demo.pal}} affiche les diffrentes palettes.
Les autres fonctions renvoient une liste de couleurs codes de manire hexadcimale. Pour rcuprer la liste des couleurs au format RGB (pour Red Green Blue), utilisez la fonction \code{\link[grDevices]{col2rgb}}.

}
\seealso{D'autres palettes de couleurs existent sous R. Voir \code{\link[grDevices]{rainbow}} ainsi que le package \pkg{RColorBrewer}.}
\examples{

## Affiche les diffrentes palettes
prevR.demo.pal(25)

## Exemples d'utilisation avec spplot()

data(alicante)

# Reprsentation graphique

x11()
spplot(alicante.krige,
	c('est.prevalence.N100.RInf.U0.pred',
		'est.prevalence.N250.RInf.U0.pred',
		'est.prevalence.N250.R128.U0.pred',
		'est.prevalence.N250.R128.U6.pred'),
	col.regions=prevR.colors.red(21),
	cuts=20,
	main='Estimated prevalence with several parameters')

x11()
spplot(alicante.krige,
	'circle.radius.N250.R128.U6.pred',
	col.regions=prevR.colors.blue(21),
	cuts=20,
	main='Radius of circles - N=250 R=128 U=6')

x11()
spplot(alicante.krige,
	'quality.indicator.N250.R128.U6.pred',
	col.regions=prevR.colors.green.inverse(21),
	cuts=20,
	main='Quality indicator - N=250 R=128 U=6')

}
\keyword{color}