\name{verif.urb}
\alias{verif.urb}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Calcule des statistiques sur les agglomrations urbaines.}
\description{
Calcule, pour chaque agglomration urbaine prsente dans le fichier de donne, la prvalence observe dans l'agglomration considre et permet de comparer ces donnes avec celles provenant d'autres sources.
}
\usage{
verif.urb(
   clust,
   conf.level = 0.9,
   add = FALSE,
   lang = "en",
   var.clust = c("n", "nweight", "obs.prevalence",
                                   "urban.area", "city.name"),
   urban.area.code = "in urban area")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{clust}{data.frame. Chaque ligne doit correspondre  un cluster.}
  \item{conf.level}{numeric. Niveau de confiance pour les tests statistiques.}
  \item{add}{logical. Si \code{TRUE}, invite l'utilisateur  ajouter manuellement des donnes provenant d'une autre source.}
  \item{lang}{character. Permet de choisir la langue des messages utilisateur. \code{fr} pour le franais, \code{en} pour l'anglais.}
  \item{var.clust}{character vector. Noms des variables de \code{clust} correspondant dans l'ordre au nombre d'observations valides,  l'effectif pondr,  la prvalence observe,  l'appartenance  une agglomration urbaine et au nom de la ville la plus proche de chaque cluster. }
  \item{urban.area.code}{character. Valeur du facteur indiquant l'appartenance  une agglomration urbaine.}
}
\details{
Retient pour chaque agglomration urbaine les clusters appartenant  la dite agglomration et calcule une prvalence observe sur ces clusters.

Les intervalles de confiance sont calculs  l'aide de la fonction \code{\link[stats]{prop.test}}. Les comparaisons de deux proportions sont calcules  l'aide de la fonction \code{\link[stats]{fisher.test}}. Les effectifs pondrs de chaque cluster sont pris en compte.
}
\value{
data.frame avec les colonnes suivantes :
  \item{city}{factor. Nom de l'agglomration.}
  \item{city.nb.cluster}{numeric. Nombre de clusters appartenant  l'agglomration.}
  \item{city.n}{numeric. Nombre d'observations valides de l'agglomration.}
  \item{city.prevalence}{numeric. Prvalence observe dans l'agglomration, en pourcents.}
  \item{city.low}{numeric. Valeur basse de l'intervalle de confiance de la prvalence observe.}
  \item{city.high}{numeric. Valeur haute de l'intervalle de confiance de la prvalence observe.}
  \item{conf.level}{numeric. Niveau de confiance pour les intervalles.}

Si \code{add = TRUE}, les colonnes suivantes sont ajoutes :
  \item{add.prevalence}{numeric. Prvalence de la source additionnelle saisie, en pourcents.}
  \item{add.n}{numeric. Effectif de la source additionnelle.}
  \item{add.low}{numeric. Valeur basse de l'intervalle de confiance de la prvalence additionnelle.}
  \item{add.high}{numeric. Valeur haute de l'intervalle de confiance de la prvalence additionnelle.}
  \item{p.value.comparaison}{numeric. Rsultat du test de comparaison des deux proportions.}

}
\note{
Pour des exemples d'utilisation de cette fonction, en particulier avec \code{add = TRUE}, voir le tutoriel de prevR (\file{tutoriel.prevR.pdf}).
}
\examples{
data(alicante)

main.cities <- alicante.cities[alicante.cities$population > 100000, ]
alicante.clust <- calcul.dist.cities(
	alicante.clust,
	main.cities,
	type='all',
	dist=25)
verif.urb(alicante.clust)

main.cities <- alicante.cities[alicante.cities$population > 250000, ]
alicante.clust <- calcul.dist.cities(
	alicante.clust,
	main.cities,
	type='all',
	dist=25)
verif.urb(alicante.clust)
}
\keyword{utilities}