\name{write.prev.shp}
\alias{write.prev.shp}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Exporter des points au format shape.}
\description{
Exporte les points contenus dans un data.frame ainsi que les donnes qui leur sont associes au format shape file.
}
\usage{
write.prev.shp(x, file, coords = ~x+y, check=TRUE, lang='en')
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{data.frame. Donnes  exporter, un point par ligne.}
  \item{file}{character. Nom du fichier  crer.}
  \item{coords}{formula. Variables dfinissant la longitude et la latitude des points, exprimes en tant que formule.}
  \item{check}{logical. Si vrai, alors la fonction \code{\link{check.names}} sera applique  \code{x} avant l'exportation, afin de renommer les noms de colonnes de plus de 10 caractres.}
  \item{lang}{character. Permet de choisir la langue des messages utilisateur. \code{fr} pour le franais, \code{en} pour l'anglais.}
}
\note{
Ce type de fichier peut tre facilement import dans un logiciel de cartographie.

Le contenu du tableau de donnes est export au format \emph{dbf}. Or ce type de format n'accepte pas les noms de variables de plus de 10 caractres. Au moment de l'export, les noms de colonnes de plus de 10 caractres seront donc tronqus, ce qui peut poser problme lorsque les 10 premiers caractres de deux noms de colonnes sont identiques. Si \code{check = TRUE}, vous serez invit  renommer les noms de variable de plus de 10 caractres.
}
\seealso{\code{\link[maptools]{writePointsShape}}, \code{\link{check.names}}.}
\examples{
\dontrun{
data(alicante)
write.prev.shp(alicante.prev,'alicante-prev', lang='fr')
}
}
\keyword{file}