\name{make.clust.dbf}
\alias{make.clust.dbf}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Lit et met en forme les donnes d'EDS.}
\description{
Cette fonction lit les donnes GPS d'une Enqute Dmographique et de Sant (EDS), fournies sous la forme d'un fichier \emph{dbf} sur \url{http://www.measuredhs.com}, puis agrge les donnes individuelles prpares avec \code{\link{make.ind.spss}} pour produire un data.frame exploitable par prevR.
}
\usage{
make.clust.dbf(file, ind, lang = "en")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{file}{character. Nom du fichier \emph{dbf} comportant les coordonnes de chaque cluster.}
  \item{ind}{data.frame. Donnes individuelles prpares avec \code{\link{make.ind.spss}}.}
  \item{lang}{character. Permet de choisir la langue de l'interface utilisateur. \code{fr} pour le franais, \code{en} pour l'anglais.}
}
\details{
Lit le fichier \code{file} et demande  l'utilisateur les variables suivantes : \emph{numro du cluster}, \emph{longitude}, \emph{latitude}, \emph{milieu de rsidence}, \emph{code de la rgion} et \emph{nom des rgions}.
La fonction prpare les donnes sous forme d'un data.frame et agrge les donnes de \code{ind} pour chaque cluster.
Si les variables \emph{sex} et \emph{age} sont prsentes dans \code{ind}, il est possible de restreindre l'analyse  une tranche d'ges et/ou  un sexe donn.
}
\value{
Renvoie un data.frame, o chaque ligne correspond  un cluster, avec les colonnes suivantes :
  \item{cluster}{Identifiant du cluster.}
  \item{x}{Longitude.}
  \item{y}{Latitude.}
  \item{residence}{Milieu de rsidece.}
  \item{region}{Code de la rgion.}
  \item{region.name}{Nom de la rgion.}
  \item{n}{Effectif, soit le nombre de personnes observes dans le cluster (rsultats indtermins et personnes ayant une pondration nulle exclue).}
  \item{nweight}{Effectif pondr, soit la somme des poids de chaque individu du cluster.}
  \item{obs.prevalence}{Prvalence observe dans le cluster, en tenant compte des pondrations. Est exprime en pourcents.}


}
\note{
Voir le tutoriel de prevR (\file{tutoriel.prevR.pdf}) pour plus de renseignements.
}
\seealso{\code{\link{make.ind.spss}}.}
\examples{
\dontrun{
burkina.ind <- make.ind.spss('burkina_hiv.sav', lang='fr')
burkina.clust <- make.clust.dbf('burkina_gps.dbf', burkina.ind, lang='fr')
}
}
\keyword{file}