\name{make.ind.spss}
\alias{make.ind.spss}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Prpare les donnes individuelles d'une EDS.}
\description{
Cette fonction lit les donnes individuelles d'une Enqute Dmographique et de Sant (EDS), fournies sous la forme d'un fichier \emph{SPSS} sur \url{http://www.measuredhs.com}, pour produire un data.frame exploitable par \emph{make.clust.dbf}.
}
\usage{
make.ind.spss(file, lang = "en")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{file}{character. Nom du fichier de donnes individuelles. Doit tre au format \emph{sav} de SPSS.}
  \item{lang}{character. Permet de choisir la langue de l'interface utilisateur. \code{fr} pour le franais, \code{en} pour l'anglais.}
}
\details{
Lit le fichier \code{file} et demande  l'utilisateur les variables suivantes : \emph{identifiant des individus}, \emph{numro du cluster de l'individu}, \emph{ge}, \emph{sexe}, \emph{variable analyse} et \emph{poids statistique de chaque individu}.\cr
Si \emph{numro du cluster de l'individu} n'est pas renseign, il sera calcul  partir de l'\emph{identifiant}.\

L'utilisateur sera invit  spcifier les codes de la \emph{variable analyse} correspondant  un rsultat positif, un rsultat ngatif et  un rsultat indtermin.

\emph{ge} et \emph{sexe} sont optionnels. Il s'agit de deux variables, respectivement numrique et qualitative, pouvant tre utilises par \code{\link{make.clust.dbf}} pour restreindre l'analyse  une sous-population.

Si la \emph{pondration statistique} n'est pas prcise, chaque individu aura un poids gal  1. Si cette variable est spcifie, il est possible de lui appliquer un facteur multiplicatif. Souvent, dans les EDS, la pondration est indique dans une variable qui doit tre divise par 1 000 000.
}
\value{
Renvoie un data.frame, o chaque ligne correspond  un individu, avec les colonnes suivantes :
  \item{id}{Identifiant de l'individu.}
  \item{cluster}{Numro du cluster.}
  \item{age}{Variable de type \emph{integer}.}
  \item{sex}{Variable de type \emph{factor}.}
  \item{original.result}{Valeurs de la variable analyse telles qu'enregistres dans \code{file}.}
  \item{weight}{Poids statistique de chaque individu.}
  \item{result}{Variable analyse recode en \emph{Negative}, \emph{Positive} ou \emph{NA}.}

Si certaines variables n'ont pas t spcifies par l'utilisateur, les colonnes correspondantes seront inexistantes dans le data.frame retourn.

}
\note{
Voir le tutoriel de prevR (\file{tutoriel.prevR.pdf}) pour plus de renseignements.
}
\seealso{\code{\link{make.clust.dbf}}.}
\examples{
\dontrun{
burkina.ind <- make.ind.spss('burkina_hiv.sav', lang='fr')
burkina.clust <- make.clust.dbf('burkina_gps.dbf', burkina.ind, lang='fr')
}
}
\keyword{file}